QB_MAP_PUT(3)

NAME
qb_map_put - Inserts a new key and value into a qb_map_t.

SYNOPSIS
#include <qb/qbmap.h>

void qb_map_put(
    qb_map_t     *map,
    const char   *key,
    const void   *value
);

DESCRIPTION

If the key already exists in the qb_map_t, it gets replaced by the new key.

SEE ALSO

qb_trie_dump(3), qb_map_iter_create(3), qb_skiplist_create(3), qb_map_notify_del(3), qb_map_count_get(3), qb_map_foreach(3), qb_map_pref_iter_create(3), qb_map_iter_next(3), qb_map_get(3), qb_map_destroy(3), qb_hashtable_create(3), qb_map_iter_free(3), qb_map_notify_add(3), qb_trie_create(3), qb_map_notify_del_2(3), qb_map_rm(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.